Bug 950205

Summary: error opening ATTR{/sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.3/1-1.3:1.0/power/control} for writing:
Product: [Fedora] Fedora Reporter: Jóhann B. Guðmundsson <johannbg>
Component: libfprintAssignee: Rex Dieter <rdieter>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 21CC: bnocera, harald, jonathan, pingou, rdieter
Target Milestone: ---Keywords: EasyFix, Patch, Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: libfprint-0.5.1-5.fc21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-01-21 23:10:02 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
patch to add TEST=="power/control" to udev rules none

Description Jóhann B. Guðmundsson 2013-04-09 20:32:18 UTC
Description of problem:

Noticed this in log when inspecting it after booting the latest 3.9 rc kernel

error opening ATTR{/sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.3/1-1.3:1.0/power/control} for writing: No such file or directory

So it looks like we have a broken udev rule somewhere 

# find /sys/devices -name control -print | grep power | grep usb | grep 1.3
/sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.3/1-1.3:1.0/ep_02/power/control
/sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.3/1-1.3:1.0/ep_81/power/control
/sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.3/1-1.3:1.0/ep_83/power/control
/sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.3/ep_00/power/control
/sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.3/power/control
/sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.4/2-1.4:1.3/tty/ttyACM1/power/control
/sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.4/2-1.4:1.3/ep_89/power/control


Version-Release number of selected component (if applicable):

systemd-197-1.fc18.2.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Harald Hoyer 2013-04-10 08:01:34 UTC
What's the output of:

$ for i in $(fgrep -r -l "power/control" {/usr/lib,/etc}/udev/rules.d); do fgrep -q 'TEST=="power/control"' $i || { echo -n "$i: "; rpm -qf $i;fgrep 'power/control' $i;};done

This package is shipping a udev rules, which sets ATTR{power/control} without testing for existence first with TEST=="power/control".

Please reassign.

Comment 2 Jóhann B. Guðmundsson 2013-04-10 08:08:52 UTC
Hmm why do I have the notion that this is not the first time libfprint has bad udev rules anywho re-assigning...

/usr/lib/udev/rules.d/60-fprint-autosuspend.rules: libfprint-0.5.0-1.fc18.x86_64
SUBSYSTEM=="usb", ATTRS{idVendor}=="147e", ATTRS{idProduct}=="2016", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="5501", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="2500", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="2580", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="2550", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="2810", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="045e", ATTRS{idProduct}=="00bb", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="045e", ATTRS{idProduct}=="00bc", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="045e", ATTRS{idProduct}=="00bd", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="045e", ATTRS{idProduct}=="00ca", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="05ba", ATTRS{idProduct}=="0007", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="05ba", ATTRS{idProduct}=="0008", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="05ba", ATTRS{idProduct}=="000a", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="061a", ATTRS{idProduct}=="0110", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="147e", ATTRS{idProduct}=="1000", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="1600", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="1660", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="1680", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="1681", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="1682", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="1683", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="1684", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="1685", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="1686", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="1687", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="1688", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="1689", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="168a", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="168b", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="168c", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="168d", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="168e", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="168f", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="2660", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="2680", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="2681", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="2682", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="2683", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="2684", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="2685", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="2686", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="2687", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="2688", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="2689", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="268a", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="268b", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="268c", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="268d", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="268e", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="268f", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="08ff", ATTRS{idProduct}=="2691", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="138a", ATTRS{idProduct}=="0001", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="138a", ATTRS{idProduct}=="0005", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="138a", ATTRS{idProduct}=="0008", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="0483", ATTRS{idProduct}=="2015", ATTRS{dev}=="*", ATTR{power/control}="auto"
SUBSYSTEM=="usb", ATTRS{idVendor}=="147e", ATTRS{idProduct}=="3001", ATTRS{dev}=="*", ATTR{power/control}="auto"

Comment 3 Fedora End Of Life 2013-12-21 12:44:39 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2014-02-05 20:33:25 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Rex Dieter 2014-12-17 13:06:38 UTC
Apparently still present in f21, re-opening.

Marking EasyFix per comment #1

Comment 6 Rex Dieter 2014-12-17 13:26:02 UTC
Looks like the udev rules are owned by libfprint, assigning there, I have a proof-of-concept patch almost ready

Comment 7 Rex Dieter 2014-12-17 13:30:28 UTC
Created attachment 970107 [details]
patch to add TEST=="power/control" to udev rules

Comment 8 Rex Dieter 2014-12-17 13:39:40 UTC
Trying to open an upstream report too,
https://bugs.freedesktop.org/show_bug.cgi?id=87414

Comment 9 Fedora Update System 2015-01-05 15:43:39 UTC
libfprint-0.5.1-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libfprint-0.5.1-5.fc21

Comment 10 Fedora Update System 2015-01-05 16:09:29 UTC
libfprint-0.5.1-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libfprint-0.5.1-5.fc20

Comment 11 Jóhann B. Guðmundsson 2015-01-05 17:41:20 UTC
Given that the upstream bug is in status New I have to ask you did not push this without upstream concent did you?

Comment 12 Rex Dieter 2015-01-05 17:43:52 UTC
this fix looked fairly obvious and safe, so figured we could use more testing/feedback.

Comment 13 Fedora Update System 2015-01-06 06:13:36 UTC
Package libfprint-0.5.1-5.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libfprint-0.5.1-5.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-0218/libfprint-0.5.1-5.fc21
then log in and leave karma (feedback).

Comment 14 Rex Dieter 2015-01-21 15:30:13 UTC
Re-pinged in upstream report for feedback on patch (any feedback here would be appreciated too)

Comment 15 Jóhann B. Guðmundsson 2015-01-21 18:24:31 UTC
If upstream is dead drop this package.

Comment 16 Fedora Update System 2015-01-21 23:10:02 UTC
libfprint-0.5.1-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2015-01-30 04:33:13 UTC
libfprint-0.5.1-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.